import { BasicColumn, FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/tsk/tsk_job';
import { h } from 'vue';
import { Tag, Tooltip } from 'ant-design-vue';
//界面列表显示
export const columns: BasicColumn[] = [
  {
    title: '任务名称',
    dataIndex: 'JobName',
    width: 200,
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width: 180,
  },
  {
    title: '修改时间',
    dataIndex: 'UPDATE_TIME',
    width: 180,
  },
  // {
  //   title: '工厂名称',
  //   dataIndex: 'FACTORY_NAME',
  //   width: 180,
  // },
  {
    title: '状态',
    dataIndex: 'Status',
    customRender: ({ record }) => {
      return h(Tooltip, { title: record.Status.split(',')[1] }, () => record.Status.split(',')[0]);
    },
    width: 180,
  },
  {
    title: '描述',
    dataIndex: 'Remark',
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'JobName',
    label: '任务名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'CREATE_TIME',
    label: '创建时间',
    component: 'RangePicker',
    colProps: { span: 8 },
  },
  {
    field: 'Status',
    label: '状态',
    component: 'ApiSelect',
    componentProps: {
      api: optionsListApi,
      resultField: 'Data',
      labelField: 'Name',
      valueField: 'Value',
      // onChange: (e, v) => {
      //   alert(e)
      //   console.log('ApiSelect====>:', e, v);
      // },
    },
    colProps: { span: 8 },
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'JobName',
    label: '任务名称',
    required: true,
    component: 'Input',
  },
  {
    field: 'JobType',
    label: '任务类名',
    required: true,
    component: 'Input',
  },
  {
    field: 'AssemblyName',
    label: '命名空间',
    required: true,
    component: 'Input',
  },
  {
    field: 'Remark',
    label: '描述',
    required: true,
    component: 'Input',
  },
  {
    field: 'Period',
    label: '间隔时间(m)',
    required: true,
    component: 'InputNumber',
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
];
